## ltsp 0.58

=== client/getltscfg/Makefile ===


LEX=flex
YACC=bison

LIBS=-lfl -lpopt
##LIBS=-lfl -ll -lpopt
YFLAGS=-v -d
LDFLAGS=-s
CCFLAGS=-Wall $(CFLAGS)

getltscfg:	getltscfg.o		\
		parser.tab.o		\
		lexer.o
	cc -o getltscfg getltscfg.o	\
			parser.tab.o	\
			lexer.o		\
			$(LIBS)		\
			$(LDFLAGS)

getltscfg.o:	getltscfg.c		\
		getltscfg.h
	cc -c getltscfg.c $(CCFLAGS) -o getltscfg.o

parser.tab.o:	parser.tab.c
	cc -c parser.tab.c $(CCFLAGS) -o parser.tab.o

lexer.o:	lexer.c
	cc -c lexer.c $(CCFLAGS) -o lexer.o

parser.tab.c:	parser.y		\
		getltscfg.h
	$(YACC) $(YFLAGS) parser.y

lexer.c:	lexer.l			\
		getltscfg.h
	$(LEX) lexer.l
	mv lex.yy.c lexer.c

clean:
	-@rm -f lexer.c
	-@rm -f lexer.o
	-@rm -f parser.tab.c
	-@rm -f parser.tab.o
	-@rm -f y.output
	-@rm -f parser.tab.h
	-@rm -f parser.output
	-@rm -f getltscfg.o
	-@rm -f getltscfg

=== debian/changelog ===
ltsp (0.58) breezy; urgency=low

  * Don't allow a broken dhcpd.conf to abort the ltsp-server-standalone
    postinst

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  6 Oct 2005 13:12:08 -0700

ltsp (0.57) breezy; urgency=low

  * Copy the server keymap as the client default

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 23 Sep 2005 10:01:44 -0700

ltsp (0.56) breezy; urgency=low

  * Bump version to supersede 0.55 (changes were incorporated)
  * Don't install mdetect in ltsp-build-client; it's no longer used by X.org

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  9 Sep 2005 10:23:20 -0700

ltsp (0.54) breezy; urgency=low

  * Use /etc/X11/Xsession rather than x-session-manager
  * Restart nfs-kernel-server and dhcp3-server on installation to effect
    changes immediately

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  7 Sep 2005 11:59:01 -0700

ltsp (0.53) breezy; urgency=low

  * Add missing dependency on netkit-inetd to ltsp-server, so that tftpd-hpa
    works out of the box

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 25 Aug 2005 09:28:02 -0700

ltsp (0.52) breezy; urgency=low

  * Use loadkeys rather than install-keymap, to avoid involving debconf
  * Don't allow failures within config steps in ltsp-client-setup to cause
    an overall failure
  * Make default bind mounts more liberal; didn't work for me with only these
  * Merge bindmount fixes (Vagrant Cascadian)
  * Mark sdm executable (Vagrant Cascadian)
  * Implement temp_copy_dirs, to copy directories during setup but free
    them afterward to save memory
  * Support for mkvmlinuz on powerpc (Vagrant Cascadian)
  * Set default hostname to "ltsp"
  * Ensure that /etc/hosts exists, so that we can bind-mount it
  * Add /etc/hotplug/.run to rw_dirs
  * Replace use_bind_mounts variable with root_write_method, default to
    bind_mounts (also support "unionfs")

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 19 Aug 2005 16:58:11 -0700

ltsp (0.51) breezy; urgency=low

  * Only require one of syslinux, mknbi or yaboot

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 18 Aug 2005 09:36:50 -0700

ltsp (0.50) breezy; urgency=low

  * Enhance ltsp-update-kernels to create etherboot NBI images
  * ltsp-server Depends: mknbi

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 17 Aug 2005 19:38:04 -0700

ltsp (0.49) breezy; urgency=low

  * Fix xserver-xorg test in ltsp-client-setup

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 16 Aug 2005 13:15:01 -0700

ltsp (0.48) breezy; urgency=low

  * Further improvements to the gtk ldm greeter from Oliver Grawert
  * ltsp-client Depends: gtk2-engines-clearlooks for the gtk greeter

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 15 Aug 2005 10:47:50 -0700

ltsp (0.47) breezy; urgency=low

  * Merge patches from Vagrant Cascadian's ltsp--ubuntufixes--0 branch:
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--base-0
        tag of matt.zimmerman@canonical.com/ltsp--main--0--patch-155
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-1
        only set default for ROOT, DIST and MIRROR if not already set
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-2
        turn archive components into COMPONENTS variable
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-3
        add EARLY_PACKAGES and LATE_PACKAGES variables
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-4
        merge improved check for initrd-netboot-tools/initramfs-tools from vagrant@freegeek.org--2005/ltsp--fixes--0
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-5
        merge improved check for initrd-netboot-tools/initramfs-tools from vagrant@freegeek.org--2005/ltsp--fixes--0
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-6
        merge vagrant@freegeek.org--2005/ltsp--fixes--0--patch-21
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-7
        avoid hard-coded i386 in client directory
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-8
        merged from pere@hungry.com--2005/ltsp--fixes--0: support udev/devfs for ldm
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-9
        merege from vagrant@freegeek.org--2005/ltsp--fixes--0: support both xserver-xorg and xserver-xfree86 for sarge compatibility
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-10
        merege from vagrant@freegeek.org--2005/ltsp--fixes--0: change defaults if DIST is sarge
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-11
        merege from vagrant@freegeek.org--2005/ltsp--fixes--0: add commandline options
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-12
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: add variable and commandline to add extra mirror
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-13
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: dist-upgrade before installing additional packages
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-14
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: mount /proc before dist-upgrade
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-15
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: support file:/// urls
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-16
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: add /proc to umounts
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-17
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: add DIST and COMPONENTS to EXTRA_MIRROR if not present
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-18
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: bugfixes: properly handle emtpy EXTRA_MIRROR and file urls
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-19
        merge from vagrant@freegeek.org--2005/ltsp--fixes--0: source configuration file
    vagrant@freegeek.org--2005/ltsp--ubuntufixes--0--patch-20
        merge changes from vagrant@freegeek.org--2005/ltsp--debian--0: add security mirror option


=== debian/control ===
Source: ltsp
Section: misc
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Build-Depends: debhelper (>= 4), flex, bison, libpopt-dev
Standards-Version: 3.6.1

Package: ltsp-server
Depends: debootstrap, nfs-kernel-server, tftpd-hpa, netkit-inetd, syslinux | mknbi | mkvmlinuz 
Recommends: openssh-server | ssh
Suggests: dhcp3-server, sdm
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on external a DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ltsp-server, ltsp-utils, dhcp3-server
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client
Depends: lsb-base, nbd-client, openssh-client | ssh, python, python-gtk2, python-glade2, initramfs-tools (>= 0.11) | initrd-netboot-tools, gtk2-engines-clearlooks
Recommends: ubuntu-thin-client
Suggests: sdm-terminal
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: any
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)


build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) -C client/getltscfg
	cd client/lp_server && ./configure --prefix=/usr
	$(MAKE) -C client/lp_server

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) -C client/getltscfg clean
	-$(MAKE) -C client/lp_server distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i -Xarch-ids
#	dh_installmenu -i
#	dh_installdebconf -i	
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installcatalogs -i
#	dh_installpam -i
#	dh_installmime -i
	dh_installinit -i --no-start
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
#	dh_installmenu -a
#	dh_installdebconf -a	
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installcatalogs -a
#	dh_installpam -a
#	dh_installmime -a
	dh_installinit -a --no-start
	dh_installinit -pltsp-client --name=ltsp-client-setup --no-start -u"start 32 S ."
#	dh_installcron -a
#	dh_installinfo -a
#	dh_undocumented -a
#	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl -a
#	dh_python -a
#	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/ltsp-$(DEBVER)
	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/ltsp-$(DEBVER)
	(cd debian/arch-build/ltsp-$(DEBVER); $(DEB_BUILD_PROG); dpkg-genchanges -S > ../ltsp_$(DEBVER)_source.changes)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install arch-build

## ltsp 0.58.2

=== debian/changelog ===
ltsp (0.58.2) breezy-updates; urgency=low

  * remove ltsp-utils from ltsp-server-standalone dependencys
  * (includes 0.58.1 version for broken upload)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 10 Feb 2006 18:54:09 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  point the clients to the LTSP server.
 
 Package: ltsp-server-standalone
-Depends: ltsp-server, ltsp-utils, dhcp3-server
+Depends: ltsp-server, dhcp3-server
 Architecture: all
 Description: Complete LTSP server environment
  This is the complete environment including a DHCP server to bootstrap

## ltsp 0.87

=== debian/changelog ===
ltsp (0.87) dapper; urgency=low

  * Set default for ltsp-client-builder/run to false, so that it's harmless
    by default to pull the ltsp-client-builder udeb into a running
    installer. (closes malone #46426)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 May 2006 21:37:59 +0100

ltsp (0.86) dapper; urgency=low

  * add --ignore-time-conflict to the apt/gpgv options in 
    ltsp-build-client to not break on systems with totally broken clock 
    settings (closes malone #41088)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  9 May 2006 16:54:20 +0200

ltsp (0.85) dapper; urgency=low

  * make ldm stop usplash before we start it, to prevent switching to
    tty1 (closes malone #39294)
  * make the SOUND variable really use boolean values (True/False), not
    "y" to keep consistency with ltsp.org docs
  * applied Pete Savages manpages for the adminscripts to ltsp-server 

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  8 May 2006 19:34:55 +0200

ltsp (0.84) dapper; urgency=low

  * Make ltsp-server Depends: | silo for sparc.
    This will make the overall ltsp installable for developers.
    It does *NOT* mean it works (yet).

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 23 Mar 2006 06:15:16 +0100

ltsp (0.83) dapper; urgency=low

  * fix typo in ltsp-server description
  * fix indentation in ltsp-client.init
  * fix indentation error in X_MODE code of ltsp-client-setup
  * remove the unused configure_sound call in the ltsp-client-setup init script,
    thats handled in ltsp-client since some time
  * fixed ssh_known_hosts creation to not depend on ssh-keyscan
  
 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  9 Mar 2006 08:59:31 +0100

ltsp (0.82) dapper; urgency=low

  * move rc_cleanup function to the set of other functions at the top of
    ltsp-build-client, make it use update-rc.d and be less noisy
  * merge rev. 243-245 from
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/,
    bugfix to handle init.d scripts which are substrings of other scripts,
    like udev and udev-mtab. change init.d cleaning to avoid code
    duplication.
  * merge
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/ rev.
    238, fix sdm dependency of ltsp-client

 -- Oliver Grawert <ogra@ubuntu.com>  Sat,  4 Mar 2006 22:05:29 +0100

ltsp (0.81) dapper; urgency=low

  * clean up duplicate esd startup that slipped through in a bzr merge ...

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 24 Feb 2006 23:20:24 +0100

ltsp (0.80) dapper; urgency=low

  * merge -r234..235 from 
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/, 
    xauth handling for ldm
  * add proper python tempfile handling to the xauth code

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 17:28:03 +0100

ltsp (0.79) dapper; urgency=low

  * add shutdown icons to the themes for ldm
  * add shutdown function to ldm to easily shut down the clients 

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 16:37:41 +0100

ltsp (0.78) dapper; urgency=low

  * merge -r228..229
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/,
    option for ltsp-build-client to add additional keys to the apt keyring
    in the chroot
  * merge -r229..230
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/,
    adds option to load debconf pre-seeding files in the chroot
    to ltsp-build-client
  * merge -r230..231
    http://llama.freegeek.org/~vagrant/bzr-archives/ltsp/ubuntufixes/,
    RCFILE handling 

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 02:46:18 +0100

ltsp (0.77) dapper; urgency=low

  * added alternative handling to ldm for easier theme selection
  * merged revision 225-228 from
    http://developer.skolelinux.no/~pere/bzr-archives/pere-sound/, 
    adds nasd support and several code improvements (manually removed 
    the syslog code this patch adds from the initfunction)
  * merged
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/
    rev 237 from petter (Fall pack to mouse preseeding if inputattach is
    missing.)
  * merged
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/
    233 (handling of older gnomecanvas version for ldm)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Feb 2006 01:25:36 +0100

ltsp (0.76) dapper; urgency=low

  * fix ltsp-client -> ldm relationship, add ldm to EARLY_PACKAGES, add
    x-display-manager back to ltsp-client dependencys 

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 22 Feb 2006 20:45:26 +0100

ltsp (0.75) dapper; urgency=low

  * revert the x-display-manager dependency in ltsp-client, it breaks
    CD rom installs and the systme ends in gdm being installed, 
    needs further sorting if we want to keep x-display-manager there

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 17 Feb 2006 21:43:16 +0100

ltsp (0.74) dapper; urgency=low

  * add powerpc support to ltsp-update-kernels, make it handle vmlinux images,
    handle yaboot copying and create yaboot.conf in tftproot

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 17 Feb 2006 01:58:11 +0100

ltsp (0.73) dapper; urgency=low

  * fix KERNEL_ARCH for amd64, must be amd64-generic not just amd64 

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 17 Feb 2006 01:29:43 +0100

ltsp (0.72) dapper; urgency=low

  * fix bashism in ltsp_functions patch 236 from
    http://developer.skolelinux.no/~pere/bzr-archives/ltsp-ubuntufixes/
  * cleaning up of startup links in rcS.d and rc2.d based on whitelist
    variables (RC2_WHITELIST RCS_WHITELIST), thin-client-faster-startup
    implemented :)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 16 Feb 2006 11:37:12 +0100

ltsp (0.71) dapper; urgency=low

  * fix the kernel handling for different architectures, only install
    linux-image-$(architecture), not the restricted modules 
    (low memory spec and multiarch support)
  * fix typos in EARLY_PACKAGES

 -- Oliver Grawert <ogra@ubuntu.com>  Wed,  8 Feb 2006 16:54:03 +0100

ltsp (0.70) dapper; urgency=low



## ltsp 0.87.1

=== debian/changelog ===
ltsp (0.87.1) dapper-security; urgency=low

  * fix CVE-2008-1293 (LP: #227295) that made unauthenticated access to the 
    local X server on the client possible.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  6 May 2008 14:51:50 +0000

=== debian/control ===
Source: ltsp
Section: misc
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Build-Depends: debhelper (>= 4), flex, bison, libpopt-dev
Standards-Version: 3.6.2

Package: ltsp-server
Depends: debootstrap, nfs-kernel-server, tftpd-hpa, syslinux | mknbi | mkvmlinuz | aboot | silo, openssh-client | ssh, netkit-inetd, iproute, debconf-utils, esound-clients
Recommends: openssh-server | ssh
Suggests: dhcp3-server, sdm, audiooss
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ltsp-server, dhcp3-server
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client
Depends: lsb-base, nbd-client, ldm | sdm-terminal | x-display-manager, initramfs-tools (>= 0.11) | initrd-netboot-tools
Recommends: ubuntu-thin-client
Suggests: nas
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: any
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.

Package: ldm
Depends: openssh-client | ssh, python, python-gtk2, python-gnome2, python-glade2, gtk2-engines-clearlooks, xserver-xorg | xserver-xfree86 | xserver
Architecture: all
Description: LTSP display manager
 ldm is an X11 display manager similar to xdm, gdm and kdm, but unlike
 those it wraps the X11 traffic within an ssh tunnel to provide a
 secure login mechanism for remote X sessions.  ldm provides access
 only through SSH, not locally. It is technically possible to use ldm
 to connect to the same host, but probably a waste of CPU power.
 .
 It was written to work with the LTSP project, but should work without
 LTSP as well.

Package: ltsp-client-builder
Section: debian-installer
Priority: standard
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, base-installer
XB-Installer-Menu-Item: 68
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the cdrom is still mounted.

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	dh_installexamples -i
 	dh_install -i -Xarch-ids
 #	dh_installmenu -i
-#	dh_installdebconf -i	
+	dh_installdebconf -i	
 #	dh_installlogrotate -i
 #	dh_installemacsen -i
 #	dh_installcatalogs -i
@@ -55,7 +55,7 @@
 #	dh_installcron -i
 #	dh_installinfo -i
 #	dh_undocumented -i
-	dh_installman -i
+	dh_installman -pltsp-server
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i

## ltsp 0.99debian11

=== debian/changelog ===
ltsp (0.99debian11) unstable; urgency=medium

  * urgency medium, as it fixes an RC bug and important bugs
  * install appropriate linux-image package for amd64. thanks to Damyan
    Ivanov. (Closes: #406357)
  * fixes to boolean handling (Closes: #405772)
  * drop dependency on initrd-netboot-tools as it was removed from Debian.
    (initramfs-tools is preferred anyways)
  * updated location of pkg-ltsp bzr repository

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 11 Jan 2007 00:38:01 -0700

ltsp (0.99debian10) unstable; urgency=medium

  * priority medium to get the updated translation into etch faster.
  * added spanish gettext translation. thanks to Felipe Caminos and Hector
    Colina. (Closes: #404404)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 24 Dec 2006 09:36:43 -0700

ltsp (0.99debian9) unstable; urgency=medium

  * urgency medium, it includes it fixes several important bugs:
  * fix ldm's boolean handling. thanks to Miro Zhorelicky for the patch.
    (Closes: #403471)
  * also mount /etc/network/run writeable for proper lo device configuration.
    (Closes: #403187)
  * fix execution of screen scripts in /etc/ltsp/screen.d (Closes: #403188)
  * install xorg instead of x-window-system-core transitional package in new
    LTSP chroot environments. (Closes: #403234)
  * updated local devices support. (Closes: #404154)

  * updated French gettext message. thanks to Cyril Brulebois.
  * updated gettext messages for Brazilian Portuguese.  (Closes: #403815)
    thanks to André Luís Lopes.

  * added Spanish debconf translations (Closes: #403604). thanks to Felipe
    Caminos.
  * added German debconf and gettext messages (Closes: #403568, #403597).
    thanks to Wolfgang Schweer.
  * added gettext translation for Catalan (Closes: #404064). thanks to Jordà
    Polo.

  * updated documentation for ltsp-build-client plugins.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 22 Dec 2006 14:58:18 -0700

ltsp (0.99debian8) unstable; urgency=low

  [Vagrant Cascadian]
  * drop recommends on inputattach (Closes: #396684)
  * change dependency on joystick to suggests
  * optimize check if inputattach should be used
  * change ltsp-client abort-installation debconf question to type "error" and
    priority "critical" (Closes: #398630)
  * only run ltsp-client init scripts if /etc/ltsp_chroot is present.
  * ltsp-build-client: simplified --arch handling (should work on all
    architectures now)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 14 Nov 2006 18:50:02 -0700

ltsp (0.99debian7) unstable; urgency=low

  [Vagrant Cascadian]
  * ltsp-client:
    - reorganize network boot dependencies
    - depend on joystick package for architectures that have it
  * ltsp-build-client:
    - do not manually install joystick package 

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 31 Oct 2006 16:05:52 -0600

ltsp (0.99debian6) unstable; urgency=low

  [ Vagrant Cascadian ]
  * french translation of ltsp-build-client by Cyril Brulebois
    (Closes: #392891)
  * catalan debconf templates translation by JordÃ Polo (Closes: #393088)
  * ltsp-server:
    - make location of tftp directory configurable
    - updated swap documentation
    - support both etherboot and PXE in dhcpd.conf example
    - added man pages for nbdswapd and ldminfod
    - ltsp-update-kernels:
      + can be configured to use an alternate tftp directory
      + can be configured to not require running ltsp-update-kernels after
        every kernel update
  * ltsp-client:
    - support encrypted swap
      + add cryptsetup to suggests
    - start nbd swapping earlier
    - improved mouse support when inputattach is available
  * ltsp-build-client:
    - allow comma-separated list for commandline options:
      + late-packages (Closes: #393002)
      + early-packages
      + kernel-packages
      + debconf-seeds
      + apt-keys
    - populate /etc/hostname with "ltsp" instead of "ltsp-chroot"
    - install joystick package by default (for serial mice)
  * debian/control:
    - ltsp-client:
      + recommend inputattach | joystick
    - ltsp-server:
      + updated inetd related dependencies
  * added debian/NEWS file

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 28 Oct 2006 11:40:14 -0500

ltsp (0.99debian5) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * urgency medium as it resolves copyright issues
  * merge copyright clarifications from upstream
  * update debian/copyright (Closes: #390797)
  * ltsp-server:
    - add dependency on gettext-base
    - add debian-archive-keyring in new ltsp chroots (Closes: #391878)
    - allow comma-separated components argument (Closes: #391805)
  * ltsp-client:
    - removed lp_server (unclear licensing)
  * ltsp-client-builder (udeb):
    - change menu priority to 70 and depend on pkgsel (Closes: #390722)
    - debconf preseeding for commandline options to ltsp-build-client
    - work around bug in debootstrap by touching resolv.conf

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon,  9 Oct 2006 10:16:13 -0400

ltsp (0.99debian3) unstable; urgency=high

  [ Vagrant Cascadian ]
  * urgency set to high, as this fixes an RC bug.
  * ltsp-client-builder:
    - disable use of security mirror for CD install
      (patch by Petter Reinholdtsen, Closes: #389276)
  * ltsp-client:
    - make mknbi a dependency for i386
    - allow custom screen scripts in /etc/ltsp/screen.d
  * ltsp-build-client:
    - only display advanced help options if called with --extra-help
  * debian/control:
    - add dependencies for "network audio system" as alternatives
      for esound.
  * translation updates:
    - Updated Czech translation of ltsp debconf messages
      (patch by Miroslav Kure, Closes: #389219)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 29 Sep 2006 11:58:08 -0400

ltsp (0.99debian2) unstable; urgency=low

  [ Vagrant Cascadian ]
  * ldm: fix boolean handling
  * nbdswapd: support SWAPDIR variable in nbdswapd.conf (Closes: #387991)



## ltsp 0.99debian11+etch1

=== client/getltscfg/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ##LIBS=-lfl -ll -lpopt
 YFLAGS=-v -d
 LDFLAGS=-s
-CCFLAGS=-Wall $(CFLAGS)
+CCFLAGS=-W -Wall $(CFLAGS)
 
 getltscfg:	getltscfg.o		\
 		parser.tab.o		\

=== debian/changelog ===
ltsp (0.99debian11+etch1) stable-security; urgency=high

  * Non-maintainer upload by the security team.
  * X connections to :6 on LTSP clients were possible from any machine on the
    network. Thanks Vagrant Cascadian for the patch.
    (CVE-2008-1293, closes: #469462)

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 27 Apr 2008 10:25:37 +0200

=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Uploaders: Matt Zimmerman <mdz@debian.org>, Carlos Laviola <claviola@debian.org>, Michael Vogt <mvo@debian.org>, Oliver Grawert <ogra@ubuntu.com>, Petter Reinholdtsen <pere@debian.org>, Gustavo Franco <stratus@debian.org>, Vagrant Cascadian <vagrant@freegeek.org>, Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 4), flex, bison, libpopt-dev, po-debconf
Standards-Version: 3.7.2

Package: ltsp-server
Depends: ${misc:Depends}, debootstrap, nfs-kernel-server, lsb-release, tftpd-hpa | atftpd, openssh-client | ssh, iproute, debconf-utils, esound-clients | nas-bin, python (>= 2.4), openbsd-inetd | inet-superserver, update-inetd, tcpd, gettext-base
Recommends: openssh-server | ssh, nbd-server
Suggests: dhcp3-server, sdm, audiooss
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ltsp-server, dhcp3-server
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: lsb-base, nbd-client, ldm | sdm-terminal | x-display-manager, initramfs-tools (>= 0.73e), syslinux [i386 amd64], mknbi[i386], yaboot[powerpc], aboot[alpha], sparc-utils[sparc], lsb-release
Recommends: xdebconfigurator, esound | nas
Suggests: cryptsetup, joystick [alpha amd64 arm i386 ia64]
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: any
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.

Package: ldm
Depends: openssh-client | ssh, python (>= 2.4), python-gtk2, python-gnome2, python-glade2, gtk2-engines (>= 1:2.6.9-1) | gtk2-engines-clearlooks, xserver-xorg | xserver-xfree86 | xserver
Architecture: all
Description: LTSP display manager
 ldm is an X11 display manager similar to xdm, gdm and kdm, but unlike
 those it wraps the X11 traffic within an ssh tunnel to provide a
 secure login mechanism for remote X sessions.  ldm provides access
 only through SSH, not locally. It is technically possible to use ldm
 to connect to the same host, but probably a waste of CPU power.
 .
 It was written to work with the LTSP project, but should work without
 LTSP as well.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, pkgsel
XB-Installer-Menu-Item: 70
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the cdrom is still mounted.

=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,12 @@
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
 
-
 build: build-stamp
 build-stamp:
 	dh_testdir
 
 	$(MAKE) -C client/getltscfg
-	cd client/lp_server && ./configure --prefix=/usr
-	$(MAKE) -C client/lp_server
-
+	$(MAKE) -C po update-po
 	touch build-stamp
 
 clean:
@@ -25,7 +22,12 @@
 	rm -f build-stamp
 
 	-$(MAKE) -C client/getltscfg clean
-	-$(MAKE) -C client/lp_server distclean
+    
+    # Using po specific Makefile to clean message catalogs
+	$(MAKE) -C po clean
+
+    # Debconf translation update
+	debconf-updatepo
 
 	dh_clean
 
@@ -34,6 +36,9 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
+
+    # Using po specific Makefile to install message catalogs
+	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -44,23 +49,12 @@
 	dh_installdocs -i
 	dh_installexamples -i
 	dh_install -i -Xarch-ids
-#	dh_installmenu -i
 	dh_installdebconf -i	
-#	dh_installlogrotate -i
-#	dh_installemacsen -i
-#	dh_installcatalogs -i
-#	dh_installpam -i
-#	dh_installmime -i
 	dh_installinit -i --no-start
-#	dh_installcron -i
-#	dh_installinfo -i
-#	dh_undocumented -i
-	dh_installman -pltsp-server
+	dh_installman -pltsp-server -pltsp-client -pldm
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
-#	dh_perl -i
-#	dh_python -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -74,26 +68,13 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_install -a
-#	dh_installmenu -a
-#	dh_installdebconf -a	
-#	dh_installlogrotate -a
-#	dh_installemacsen -a
-#	dh_installcatalogs -a
-#	dh_installpam -a
-#	dh_installmime -a
+	dh_installdebconf -a
 	dh_installinit -a --no-start
 	dh_installinit -pltsp-client --name=ltsp-client-setup --no-start -u"start 32 S ."
-#	dh_installcron -a
-#	dh_installinfo -a
-#	dh_undocumented -a
-#	dh_installman -a
 	dh_link -a
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-#	dh_perl -a
-#	dh_python -a
-#	dh_makeshlibs -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a

## ltsp 0.124

=== debian/changelog ===
ltsp (0.124) edgy; urgency=low

  * add the -f option to the rm command in the 80_ltsp-sound Xsession 
    script to avoid crashers on login, closes malone #66808

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 22 Oct 2006 11:54:31 +0200

ltsp (0.123) edgy; urgency=low

  * add a workaround for the changed gstreamer autosink detection
    (closes malone #65690)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 16 Oct 2006 10:29:37 +0200

ltsp (0.122) edgy; urgency=low

  * change dependency of ldm from python-gnome2 to python-gnomecanvas
  * human-cursors-theme is fixed, remove the workaround plugin

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 11 Oct 2006 23:14:34 +0200

ltsp (0.121) edgy; urgency=low

  * fix alternative path for cursor theme

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  9 Oct 2006 12:13:56 +0200

ltsp (0.120) edgy; urgency=low

  * make sure we use the human cursors in new ltsp installs

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  9 Oct 2006 11:15:43 +0200

ltsp (0.119) edgy; urgency=low

  * documentation update: new example lts.conf and proper table with key/value
    pairs in lts-parameters.txt

 -- Oliver Grawert <ogra@ubuntu.com>  Sun,  8 Oct 2006 15:14:03 +0200

ltsp (0.118) edgy; urgency=low

  * make sure we test for a special char device if looking for /dev/dsp, 
    fixes malone #56959
  * show the ip additionally to the hostname in ldm
  * switch to vt7 before stopping usplash
  * add klogd to enabled services in ltsp-build-client
  * add syslog to the enabled services in ltsp-build-client

 -- Oliver Grawert <ogra@ubuntu.com>  Fri,  6 Oct 2006 16:04:59 +0200

ltsp (0.117) edgy; urgency=low

  * use the new kernel image name for amd64
  * add DO_NOT_SWITCH_VT to the ltsp-client initscript, so we swich directly
    to the screen session from usplash instead of having a flashing tty1
    inbetween

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  5 Oct 2006 11:35:11 +0200

ltsp (0.116) edgy; urgency=low

  * make sure amd64 clients are built on amd64 and keep i386 optional on 
    that architecture to unbreak the edubuntu CD install

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 28 Sep 2006 12:33:25 +0200

ltsp (0.115) edgy; urgency=low

  * mknbi doesnt exist on non-i386 arches so dont try to install it on 
    powerpc 

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 27 Sep 2006 23:56:31 +0200

ltsp (0.114) edgy; urgency=low

  * make sure mknbi is availabe on all i386 systems for out of the box
    etherboot support.
  * replace the obsolete arch-build with a bzr-release target to make
    maintenance easier

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 24 Sep 2006 14:44:24 +0200

ltsp (0.113) edgy; urgency=low

  * make sure the Password label in ldm doesnt change color
  * better fix for esd, so now actually a second user also gets sound

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Sep 2006 16:36:13 +0200

ltsp (0.112) edgy; urgency=low

  * fix ldm edubuntu theme

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Sep 2006 22:36:52 +0200

ltsp (0.111) edgy; urgency=low

  * whoops, we dont want the .bzr tree in the source package
  * fix debian introduced hang of esd on relogin, closes malone (#61491)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Sep 2006 21:42:23 +0200

ltsp (0.110) edgy; urgency=low

  * fix printer handling in the initscript
  * fix paths in the start_printer script
  * fix the paths in the client setup initscript to match FHS fixes in 
    the ltspfs package
  * fix boolean handling of env vars in ldm
  * fix floppy handling in ldm
  * do not link the apt related plugins

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Sep 2006 20:07:38 +0200

ltsp (0.109) edgy; urgency=low
 .
    * make etherboot work automagically

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 19 Sep 2006 16:00:54 +0200

ltsp (0.108) edgy; urgency=low

  - The "Detroit hackfest fixing spree" release -

  * fixes in the debian plugins (which dont really affect us):
    * when hostname is "(none)", also reset hostname variable
    * fix gdm handling of x-display-manager if installed in the chroot
    * fix typo in dpkg-divert for policy-rc.d script
    * debian plugin to keep package cache if wanted
    *  allow --include as well for debootstrap
  * whitespace fixes and check for /bin/true in ltsp-update-kernels
  * add option to quiet ltsp-update-kernels if desired
  * move /etc/exports handling to a later position for finalization
  * move rootpw handling/locking to a later position (only sequence number
    change)
  * allow --chroot option to name the chroot something other than ARCH (fix
    requested by jammcq)
  * add empty plugin directory for custom plugins
  * split initscript handling in its own plugin
  * split daemon and mtab handling into their own plugins
  * fix X_VIDEO_RAM handling in initscript (needs follow up fix of 
    malone #60805)
  * fix boolean handling in ldm
  * update Ubuntu plugin symlinks
  * remove /var/run and /var/lock from bind mounting so we dont
    double-bindmount them to tmpfs
  * remove /etc/hotplug from bindmounted dirs, to quiten the boot, we dont use
    hotplug since ages ...
  * documentation updates:
    * doc update for nbdswapd
    * dnsmasq doc examples update (typo fix)
    * doc/workstation update, fix gdm docs
    * doc/examples/qemu-ltsp fix for help function
    * doc/plugins documentation update

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 18 Sep 2006 21:17:06 +0200

ltsp (0.107) edgy; urgency=low

  * Fix typos and formatting of device entry in /etc/network/interfaces in
    ltsp-client-builder.postinst

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 16 Sep 2006 16:12:19 +0200

ltsp (0.106) edgy; urgency=low

  * make sure we disconnect /dev/nbd[n] in ldm before shutdown to avoid 
    idling nbdswapd connections
  * mark the nbd device as swap device in ltsp-client-setup initscript
  * add server/plugins/ltsp-build-client/Ubuntu/010-nbd-client to make sure
    /etc/nbd-client is there before we bind mount it to a tmpfs


=== debian/control ===
Source: ltsp
Section: misc
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Build-Depends: debhelper (>= 4), flex, bison, libpopt-dev
Standards-Version: 3.7.2

Package: ltsp-server
Priority: extra
Depends: ${misc:Depends}, debootstrap, nfs-kernel-server, lsb-release, tftpd-hpa, openssh-client | ssh, netkit-inetd, iproute, debconf-utils, esound-clients, nbd-server
Recommends: openssh-server | ssh, ltspfs
Suggests: dhcp3-server, sdm, audiooss
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ltsp-server, dhcp3-server
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: lsb-base, nbd-client, ldm | sdm-terminal | x-display-manager, initramfs-tools (>= 0.11) | initrd-netboot-tools, syslinux [i386 amd64], mknbi[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc] 
Recommends: ubuntu-thin-client
Suggests: nas
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: any
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.

Package: ldm
Depends: openssh-client | ssh, python, python-gtk2, python-gnomecanvas, python-glade2, gtk2-engines-clearlooks, xserver-xorg | xserver-xfree86 | xserver
Architecture: all
Description: LTSP display manager
 ldm is an X11 display manager similar to xdm, gdm and kdm, but unlike
 those it wraps the X11 traffic within an ssh tunnel to provide a
 secure login mechanism for remote X sessions.  ldm provides access
 only through SSH, not locally. It is technically possible to use ldm
 to connect to the same host, but probably a waste of CPU power.
 .
 It was written to work with the LTSP project, but should work without
 LTSP as well.

Package: ltsp-client-builder
Section: debian-installer
Priority: optional
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, base-installer
XB-Installer-Menu-Item: 68
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the cdrom is still mounted.

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,15 @@
 #export DH_VERBOSE=1
 
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
-DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
+DEB_SRC_BUILD_PROG:=dpkg-buildpackage -rfakeroot -S -sa
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 
 	$(MAKE) -C client/getltscfg
+	cd client/lp_server && ./configure --prefix=/usr
+	$(MAKE) -C client/lp_server
 	$(MAKE) -C po update-po
 	touch build-stamp
 
@@ -22,6 +24,7 @@
 	rm -f build-stamp
 
 	-$(MAKE) -C client/getltscfg clean
+	-$(MAKE) -C client/lp_server distclean
     
     # Using po specific Makefile to clean message catalogs
 	$(MAKE) -C po clean
@@ -81,11 +84,10 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-arch-build:
-	rm -rf debian/arch-build
-	mkdir -p debian/arch-build/ltsp-$(DEBVER)
-	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/ltsp-$(DEBVER)
-	(cd debian/arch-build/ltsp-$(DEBVER); $(DEB_BUILD_PROG); dpkg-genchanges -S > ../ltsp_$(DEBVER)_source.changes)
+bzr-release:
+	rm -rf ../ltsp-$(DEBVER)
+	bzr export ../ltsp-$(DEBVER)
+	(cd ../ltsp-$(DEBVER); $(DEB_SRC_BUILD_PROG))
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install arch-build
+.PHONY: build clean binary-indep binary-arch binary install bzr-release
